## NAME

     mp-5 - Minimum Profit Editor, a text editor for programmers

## SYNOPSIS

     mp-5 [options] [+NNN] [file [file...]]

## DESCRIPTION

Minimum Profit (mp) is a text editor for programmers. Among its features are the following:

- Fully scriptable using a C-like scripting language.
- Unlimited undo levels.
- Complete Unicode support.
- Multiple files can be edited at the same time and blocks copied and pasted among them.
- Syntax highlighting for many popular languages / file formats: C, C++, Perl, Shell Scripts, Ruby, Php, Python, HTML...
- Creative use of tags: tags created by the external utility ctags are used to move instantaneously to functions or variables inside your current source tree. Tags are visually highlighted (underlined), and symbol completion can be triggered to avoid typing your own function names over and over.
- Intelligent help system: pressing F1 over any word of a text being edited triggers the underlying system help (calling man when editing C or Shell files, perldoc with Perl, ri on Ruby, winhelp on MS Windows...).
- Understandable interface: drop-down menus, reasonable default key bindings.
- Configurable keys, menus and colors.
- Text templates can be easily defined / accessed.
- Multiplatform: Console/curses, Qt4, GTK+, KDE4, MS Windows.
- Automatic indentation, word wrapping, internal grep, learning / repeating functions.
- Spellchecking support (via the ispell package).
- Multilingual.
- Password-protected, encrypted text files (using the ARCFOUR algorithm).
- It helps you abandon vi, emacs and other six-legged freaks definitely.

## OPTIONS

The following options are avaiable:

-t tag
  Edits the file where tag is defined (see ctags(1)).
-e mpsl_code
  Executes MPSL code.
-f mpsl_script
  Executes an MPSL script.
-d directory
  Changes working directory.
-x file
  opens file in the hexadecimal viewer.
NNN
  Moves to line number NNN of last file.

## MPSL

MPSL (Minimum Profit Scripting Language) is a powerful programming language embedded in the Minimum Profit Text Editor (a huge part of the editor itself is written in MPSL). Its features are too large to be inserted here; please read the documentation.

## AUTHOR

Minimum Profit has been written by Angel Ortega <angel@triptico.com> with the help of others (see the AUTHORS file for a complete list).

## FILES

- /etc/mp.mpsl (system-wide configuration file).
- ~/.mp.mpsl (user configuration file).
- ~/.mp_templates (user text templates).

## ENVIRONMENT VARIABLES

- HOME (user home directory).
- LANG, LC_ALL (language settings).

## SEE ALSO

ctags(1).

The Minimum Profit documentation in /usr/share/doc/mp-5.

AUTHORS, TODO, RELEASE_NOTES and README.

Home page: http://www.triptico.com/software/mp.html

Mailing list: mp-subscribe@lists.triptico.com

## LICENSE

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

See the GNU General Public License for more details.